<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="27" short-name="m-misere" url="https://polygon.codeforces.com/p5erqeB/tourist/m-misere">
    <names>
        <name language="english" value="Misère"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>52</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen_small_rnd 2 4 2 2" method="generated"/>
                <test cmd="gen_small_rnd 1 1 1 1" method="generated"/>
                <test cmd="gen_small_rnd 3 10 4 4" method="generated"/>
                <test cmd="gen_small_rnd 4 17 5 5" method="generated"/>
                <test cmd="gen_small_rnd 5 25 5 5" method="generated"/>
                <test cmd="gen_small_rnd 7 15 1 15" method="generated"/>
                <test cmd="gen_small_rnd 25 20 20 20" method="generated"/>
                <test cmd="gen_small_rnd 26 20 20 20 1" method="generated"/>
                <test cmd="gen_small_rnd 21 50 50 50" method="generated"/>
                <test cmd="gen_small_rnd 22 50 50 50 1" method="generated"/>
                <test cmd="gen_small_rnd 23 100 100 100" method="generated"/>
                <test cmd="gen_small_rnd 24 100 100 100 1" method="generated"/>
                <test cmd="gen_small_rnd 14 100 50 50" method="generated"/>
                <test cmd="gen_small_rnd 27 500 500 500" method="generated"/>
                <test cmd="gen_small_rnd 28 500 500 500 1" method="generated"/>
                <test cmd="gen_small_rnd 6 1000 1000 1000" method="generated"/>
                <test cmd="gen_small_rnd 29 1000 100 100" method="generated"/>
                <test cmd="gen_small_rnd 30 100 1000 1000" method="generated"/>
                <test cmd="gen_small_rnd 8 5000 100 100 1" method="generated"/>
                <test cmd="gen_small_rnd 9 5000 50 200 1" method="generated"/>
                <test cmd="gen_small_rnd 10 5000 200 50 1" method="generated"/>
                <test cmd="gen_small_rnd 11 5000 1000 1000 1" method="generated"/>
                <test cmd="gen_small_rnd 12 5000 5000 5000 1" method="generated"/>
                <test cmd="gen_small_rnd 13 5000 1000000000 1000000000 1" method="generated"/>
                <test cmd="gen_small_rnd 20 5000 2 10000 1" method="generated"/>
                <test cmd="gen_small_rnd 15 5000 2 15000 1" method="generated"/>
                <test cmd="gen_small_rnd 16 5000 2 20000 1" method="generated"/>
                <test cmd="gen_small_rnd 17 5000 3 10000 1" method="generated"/>
                <test cmd="gen_small_rnd 18 5000 3 15000 1" method="generated"/>
                <test cmd="gen_small_rnd 19 5000 3 20000 1" method="generated"/>
                <test cmd="gen_special" method="generated"/>
                <test cmd="gen_random -t=1000 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=1000000000" method="generated"/>
                <test cmd="gen_random -t=1000 -minn=1 -maxn=5000 -mina=999999990 -maxa=1000000000 -minb=1 -maxb=10" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=1" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=2" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=3" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=4" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=2 -maxb=2" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=2 -maxb=3" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=2 -maxb=4" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=3 -maxb=3" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=3 -maxb=4" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=4 -maxb=4" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=5 -maxb=10" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=50 -maxb=100" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=1000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=10000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=100000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=1000000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=10000000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=1 -maxn=5000 -mina=1 -maxa=1000000000 -minb=1 -maxb=100000000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_small_rnd.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_small_rnd.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_special.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_special.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>10</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/290857988_ikrpprppp_SomethingNew_goncharovmike_wa2.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290857988_ikrpprppp_SomethingNew_goncharovmike_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290862692_ikrpprppp_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290862692_ikrpprppp_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290878000_izban_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290878000_izban_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290888203_zidder_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290888203_zidder_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291131114_ksun48_tl20.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291131114_ksun48_tl20.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291131913_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291131913_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291250934_xiaowuc1_wa4.cpp" type="cpp.g++17"/>
                <binary path="solutions/291250934_xiaowuc1_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291251527_xiaowuc1_ok.cpp" type="cpp.g++17"/>
                <binary path="solutions/291251527_xiaowuc1_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/misere_al.cpp" type="cpp.g++11"/>
                <binary path="solutions/misere_al.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/misere_al_nobreak.cpp" type="cpp.g++11"/>
                <binary path="solutions/misere_al_nobreak.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/misere_al_veryslow.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/misere_al_veryslow.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <documents>
        <document path="documents/description.txt" type="text/plain"/>
        <document path="documents/tutorial.txt" type="text/plain"/>
    </documents>
    <tags>
        <tag value="dynamic programming"/>
        <tag value="sorting"/>
    </tags>
</problem>
